<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; //Exit if assessed directly
}

/**
 * WHMCS Remove Data Action
 *
 * Ajax call for remove data that got form WHMCS api.
 *
 * @since 2.2.3
 */


add_action( 'wp_ajax_remove_whmcs_data', 'wdes_remove_whmcs_data' );
add_action( 'wp_ajax_nopriv_remove_whmcs_data', 'wdes_remove_whmcs_data' );

function wdes_remove_whmcs_data(){

    $option = get_option( wdes_button_action_option_name(), '' );

    if( empty( $option ) ){

        wp_send_json_error( ['type' => 'error remove data', 'message' => wdes_button_action_prepare_message('There are no data to remove')]);

        return false;

    }

    delete_option( wdes_button_action_option_name() );

    wp_send_json_success( ['type' => 'success remove data', 'message' => wdes_button_action_prepare_message('Removing data has been completed successfully.')] );

}
