<?php

use \Phox\core\admin\panel\wdes_options\Wdes_Control;

class WDES_Admin_button extends Wdes_Control
{

    const WDES_BUTTON_ACTIONS_DIR = __DIR__ . '/actions/';

    /**
     * Constructor
     */

    function __construct($field = array(), $value = '', $parent = NULL)
    {
        if (is_object($parent)) parent::__construct($parent->sections, $parent->args, $parent->extra_tabs);
        $this->field = $field;
        $this->value = $value;
    }

    /**
     * Render
     */
    public function render()
    {

       $class = (isset($this->field['id']))? 'class="button-field '.$this->field['id'].'" ': '';
       $message_class = (isset($this->field['id']))? 'class="button-field-message" ': '';
       $data_callback = (isset($this->field['callback']))? 'data-callback="'.$this->field['callback'].'" ': '';
       $title = (isset($this->field['button_title']))? $this->field['button_title']: $this->field['title'];

      printf('<button %s %s>%s</button>', $class, $data_callback, $title);

      printf('<div %s></div>', $message_class);

    }

    public function enqueue(){
        wp_enqueue_script('wdes-button', WDES_OPTIONS_URI . 'fields/button/button.js', ['jquery'], WDES_THEME_VERSION, true);
    }

    /**
     * Register Button Action filed
     *
     * @return bool
     */
    public function register_actions(){

        $callback = $this->field['callback'];

        if( ! is_string($callback) ) return false;

        $action_dir = self::WDES_BUTTON_ACTIONS_DIR . $callback . '.php';

        if( file_exists($action_dir) ){

            if ( defined( 'DOING_AJAX' ) && DOING_AJAX ) {

                require_once $action_dir;

            }

        }

        return true;
    }


}
