{if file_exists("templates/$template/packages/overwrites/header.tpl")}
  {include file="{$template}/packages/overwrites/header.tpl"}
{else}
  <!DOCTYPE html>
  <html lang="en" dir="{if $language == 'arabic' || $language == 'hebrew' || $language == 'farsi'}rtl{else}ltr{/if}">

  <head>
    <meta charset="{$charset}" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    {include file="$template/includes/head.tpl"}
    {include file="$template/packages/includes/seo.tpl"}
    {$headoutput}

  </head>

  <body
    class="wdes-page-{$pagetitle} {if $templatefile == 'login'}wdes-page-login{/if} {if $templatefile == 'clientregister'}wdes-page-register{/if} {if $templatefile == 'password-reset-container'}wdes-page-pwreset{/if}"
    data-phone-cc-input="{$phoneNumberInputStyle}">

    {$headeroutput}

    {if $Phox['pages']['global-settings']['show-header']['value'] == true}
      <section id="header">
        <div class="container">
          <div class="wdes-header">

            {* Logo *}
            {if $Phox['pages']['global-settings']['show-logo']['value'] == true}
              <a href="{if $wdes_phox_brand.logo_switcher && !empty($wdes_phox_brand.logo_link)}{$wdes_phox_brand.logo_link}{else}{$WEB_ROOT}/index.php{/if}"
                class="logo">
                {if $wdes_phox_brand.logo_dark}
                  <img src="{$WEB_ROOT}/templates/{$template}/img/logo-dark.png" alt="{$companyname}" />
                {else}
                  <img src="{$WEB_ROOT}/templates/{$template}/img/logo.png" />
                {/if}
              </a>
            {/if}

            {* Menu *}
            <section id="main-menu">
              <nav id="nav" class="navbar navbar-default navbar-main" role="navigation">
                <!-- Brand and toggle get grouped for better mobile display -->
                <div class="navbar-header">
                  <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#primary-nav">
                    <span class="sr-only">{lang key='toggleNav'}</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                  </button>
                </div>

                <!-- Collect the nav links, forms, and other content for toggling -->
                <div class="collapse navbar-collapse" id="primary-nav">
                  <ul class="nav navbar-nav">
                    {include file="$template/includes/navbar.tpl" navbar=$primaryNavbar}
                    {include file="$template/includes/navbar.tpl" navbar=$secondaryNavbar}
                  </ul>
                </div><!-- /.navbar-collapse -->
              </nav>
            </section>
          </div>
        </div>
      </section>
    {/if}
    {include file="$template/includes/validateuser.tpl"}
    {include file="$template/includes/verifyemail.tpl"}

    <section id="main-body">
      <div class="container{if $skipMainBodyContainer}-fluid without-padding{/if}">
        <div class="row wdes-flex-mob">

          {if !$inShoppingCart && $templatefile != "clientregister" && ($primarySidebar->hasChildren() || $secondarySidebar->hasChildren())}
            {if $primarySidebar->hasChildren() && !$skipMainBodyContainer}
              <div class="col-md-9 pull-md-right">
                {include file="$template/includes/pageheader.tpl" title=$displayTitle desc=$tagline showbreadcrumb=true}
              </div>
            {/if}
            <div class="col-md-3 pull-md-left sidebar">
              {include file="$template/includes/sidebar.tpl" sidebar=$primarySidebar}
              {if $secondarySidebar->hasChildren()}
                <div class="sidebar-secondary">
                  {include file="$template/includes/sidebar.tpl" sidebar=$secondarySidebar}
                </div>
              {/if}
            </div>
          {/if}
          <!-- Container for main page display content -->
          <div
            class="{if !$inShoppingCart && $templatefile != "clientregister" && ($primarySidebar->hasChildren() || $secondarySidebar->hasChildren())}col-md-9 pull-md-right{else}col-xs-12{/if} main-content">
            {if !$primarySidebar->hasChildren() && !$showingLoginPage && !$inShoppingCart && $templatefile != 'homepage' && !$skipMainBodyContainer}
              {include file="$template/includes/pageheader.tpl" title=$displayTitle desc=$tagline showbreadcrumb=true}
            {/if}
{/if}